Nova versão disponível: 0.7.2

Uma nova versão do Novo SGA está disponível para download.

Issues

Changelog 0.7.2

17 ideias sobre “Nova versão disponível: 0.7.2

  1. Jefferson da Silva Santos

    Boa tarde,

    o mesmo erro continua a cadastrar unidades. Nem sequer consegue listar as unidades no painel na versão 0.7.2.

    Como resolver?

    Responder
  2. Ricardo

    Parabéns pelo sistema, está muito bom!!!

    Estou querendo colocar a página “Monitor” no site, porém, quero que não exiba a página de login.
    Coloquei em um “Iframe”, se estiver logado, aparece beleza, porém, se sair fica aparecendo a tela de login.
    Tentei enviar o usuário e senha pela URL tipo:
    http://sga/novosga/?module=sga.monitor&login=admin&token=5714faa2a72f533f7807b0e876911199

    Só que não dá certo.

    Tem como você me dá uma luz?

    Desde já agradeço!

    Responder
  3. Samuel Silva

    Estou com um problema creio que na sessão depois de um tempo na auto triagem não da para retirar a senha tem que fechar logar e abrir de novo tem alguma luz?

    desde já agradeço

    Responder
  4. jardelson

    olá pessoal, utilizava a versao antiga do SGA LIVRE e gostaria de renovar com esta nova versao.

    fui tentar instalar e apareceu a seguinte mensagem após escolher o banco de dados MYSQL.

    Oops!
    Erro
    file() expects at least 1 parameter, 0 given
    Local
    /var/www/html/sistemas/novosga/core/view/TemplateBuilder.php:293

    Responder
    1. Thiago

      Oi esta acontecendo o mesmo erro comigo, voce conseguiu resolver?

      alguem tem alguma dica?

      Oops!
      Erro
      file() expects at least 1 parameter, 0 given
      Local
      /var/www/core/view/TemplateBuilder.php:293

      Responder
  5. Anderson

    O sistema está muito bom, porém nesta atualização quando está rolando o vídeo, onde ficam as senhas a faixa está muito escura, ficando ruim a visualização do vídeo.
    Há alguma maneira desta faixa ficar com uma transparência maior?

    Responder
  6. Eliel Cavalcante

    Olá pessoal, boa noite!
    Estou querendo implantar o NovoSGA no trabalho. Já instalei e configurei tudo certinho, estou com problemas para zerar as senhas automático pelo cron, alguém poderia ajudar?. Abraços.

    Responder
  7. Thiago

    Nao estou conseguindo instalar o Novo SGA versoes 7.2 e 7.1

    meu setup é Linux Ubuntu Server 12.04 com apache2 php5 postgresql php5-pgsql

    Apos acessar via web o instalador e selecionar o tipo de banco de dados aparece o erro abaixo:

    Oops!
    Erro
    file() expects at least 1 parameter, 0 given
    Local
    /var/www/core/view/TemplateBuilder.php:293

    Responder
    1. Paulo Rogerio

      Oi você consegui resolver esse erro estou com o mesmo problema ja coloquei os dois

      $h = (is_callable($header[$i])) ? $header[$i] : $header[$i];
      e

      $h = (!is_string($header[$i]) && is_callable($header[$i])) ? $header[$i]() : $header[$i];

      Responder
  8. salem

    Consegui resolver o problema de instalação “file() expects at least 1 parameter, 0 given” ao editar o ficheiro core/view/TemplateBuilder.php (linha 293):

    $h = (is_callable($header[$i])) ? $header[$i] : $header[$i];

    Ou seja, é só substituir “$header[$i]()” por “$header[$i]” e a instalação prossegue normalmente.

    Responder
    1. Rogério Autor do post

      Salem,

      obrigado pelo comentário, mas a melhor maneira é fazer como publiquei no comentário abaixo. Porque o TemplateBuilder precisa executar closures em determinadas situações (por isso o uso dos parênteses).

      Então para resolver isso, além de verificar se é chamável (is_callable), também verificar se não é string (caso das closures).

      Responder
  9. Rogério Autor do post

    Para quem estiver com o problema;

    Oops!
    Erro
    file() expects at least 1 parameter, 0 given
    Local
    /var/www/core/view/TemplateBuilder.php:293
    

    Pode alterar a linha 293, e adicionar mais uma condição na frente (!is_string). Igual abaixo:

    $h = (!is_string($header[$i]) && is_callable($header[$i])) ? $header[$i]() : $header[$i];
    
    Responder
  10. jefersson

    Ola pessoal, instalei a versão 0.7.2
    Mas não consigo listar as unidades, ja tentei de tudo. O cliente-server, diz que o servidor esta pronto.

    #Novo SGA configuration file
    #Tue Nov 05 07:36:53 BRST 2013
    TamanhoNumero=3
    ScreensaverTimeout=30
    Vocalizar=true
    CorSenha=\#ffb380
    MainLayout=1
    CorMensagem=\#ffffff
    Som=alert.wav
    Procolo=UDP
    VideoID=0
    IPServidor=192.168.1.14
    PortaEnvio=9999
    Servicos=
    PortaRecebimento=8888
    UnidadeId=0
    CorGuiche=\#ffffff
    ScreensaverLayout=2
    Language=pt
    JFXAudio=true
    CorFundo=\#993300
    ScreensaverUrl=

    Responder
    1. Jardelson de moura

      Você já verificou o firewall e para o você listar tem que estar rodando o painel-server.

      Eu instalei o jdk no painelserver e no painel (sei que nesse só precisaria do jre) mas instalei o jdk.

      Verificando isso, acredito que vai dar certo.

      Responder
  11. Roberto Félix

    Pode ser uma pergunta imbecil, mas desculpem se for óbvia. Há alguma forma de reimprimir a última senha? No sistema original, o sgalivre, foi colocado por um desenvolvedor um botão que tinha esta função. Há como nesse fork?

    Responder

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *